Author Topic: OS/4 (technical details only)  (Read 18653 times)

David Graser

  • Hero Member
  • *****
  • Thank You
  • -Given: 0
  • -Receive: 61
  • Posts: 515
    • View Profile
Re: OS/4 (technical details only)
« Reply #15 on: April 19, 2018, 12:22:27 am »
I have downloaded os2krnlscn5096_unoff.zip

The HOWTO file says this only works with acpi-3.23.0-1

I have acpi-3.32.02.zip, and later versions. I also have an eCS and ArcaOS subscription. Where can I get the version of acpi-3.23.01 that works with OS4?

I think this is what you may be looking for. 

http://www.gus.biysk.ru/os4/Patches/AcpiPsdPatches.rar

Valery Sedletski

  • Sr. Member
  • ****
  • Thank You
  • -Given: 0
  • -Receive: 20
  • Posts: 307
    • View Profile
Re: OS/4 (technical details only)
« Reply #16 on: April 19, 2018, 02:46:47 am »
Just tried to run reformat.exe on my Asus laptop with eCS 2.2 and OS/4 kernel -- it starts. But on this machine (MCP2 with OS/4 kernel) it does not start, though I put ecolange.dll and ecomedia.dll in program dir. So, something is indeed missing in this system. But it works fine on the previous system.

PS: Now tried to run reformat.exe on this machine, and it starts here too. Weird, as previously, it did not started. (I put the required DLL's: ecolange.dll, ecomedia.dll and progress.dll in the same dir as the program)

PPS: BTW, this program is not really needed, because there is native FORMAT from fat32.ifs which allows to format to FAT12/FAT16/FAT32/exFAT file systems. Required flash media preparations can be done with DFSee, without the need to reformat media. You usually only need to add the LVM info, which can be done non-destructive, without the need to repartition and reformat.

PPPS: Tried to press the "Format" button, it says "Your eCo software subscription has expired" :)))) Useless, indeed.
« Last Edit: April 19, 2018, 04:03:07 am by Valery Sedletski »

Valery Sedletski

  • Sr. Member
  • ****
  • Thank You
  • -Given: 0
  • -Receive: 20
  • Posts: 307
    • View Profile
Re: OS/4 (technical details only)
« Reply #17 on: April 19, 2018, 02:49:23 am »
2Doug Clark: Does not Arca Noae supply the  build archive? I still have 3.23.01 from my previous eCS installation. These: http://www.gus.biysk.ru/os4/Patches/AcpiPsdPatches.rar are patches, but not the actual PSD.

Doug Clark

  • Full Member
  • ***
  • Thank You
  • -Given: 1
  • -Receive: 14
  • Posts: 181
    • View Profile
Re: OS/4 (technical details only)
« Reply #18 on: April 19, 2018, 08:45:32 pm »
My subscription for ArcaOS and my subscription for ECS only allows access to the latest version. I will send a note to Lewis and ask for 3.23.01 - or better yet, access to all previous versions. I have occasionally downloaded whatever was the latest on the subscription site and saved those copies, but since I didn't do that all that often I am missing some versions of all the packages.

I just checked my eCS 2.2 beta CD and it has ACPI_3_21. I noticed that the RAR has patches for a number of previous versions, but I am reluctant go back too many versions on ACPI since it seems there are some inter-dependencies between ACPI and other stuff.

OS4User

  • Full Member
  • ***
  • Thank You
  • -Given: 28
  • -Receive: 6
  • Posts: 216
    • View Profile
Re: OS/4 (technical details only)
« Reply #19 on: April 20, 2018, 11:43:50 am »
but I am reluctant go back too many versions on ACPI since it seems there are some inter-dependencies between ACPI and other stuff.

AFAIK   ACPI32.DLL,  ACPI.PSD, APM.ADD and ACPIDAEMON.EXE have to be from the same version.  You can rename ACPI.PSD, APM.ADD and ACPIDAEMON.EXE  to ACPI_1.PSD, APM_1.ADD and ACPIDAEMON_1.EXE  accordingly and make appropriate changes in you config.os4

For ACPI32.DLL   it is a bit more complicated   -  but you can do the same as with patched DIVE.DLL

Doug Clark

  • Full Member
  • ***
  • Thank You
  • -Given: 1
  • -Receive: 14
  • Posts: 181
    • View Profile
Re: OS/4 (technical details only)
« Reply #20 on: April 20, 2018, 03:23:56 pm »
certainly DIVE, but I was thinking more along the lines of uniaud32 and any of the other stuff that depends on some level ACPI.  Just finding out what has dependencies let alone what versions are dependent on other versions is painful.

OS4User

  • Full Member
  • ***
  • Thank You
  • -Given: 28
  • -Receive: 6
  • Posts: 216
    • View Profile
Re: OS/4 (technical details only)
« Reply #21 on: April 20, 2018, 03:32:46 pm »
certainly DIVE, but I was thinking more along the lines of uniaud32 and any of the other stuff that depends on some level ACPI.  Just finding out what has dependencies let alone what versions are dependent on other versions is painful.

so far no other dependencies are discovered, except, ACPI32.DLL,  ACPI.PSD, APM.ADD and ACPIDAEMON.EXE have to be from the same version

David Graser

  • Hero Member
  • *****
  • Thank You
  • -Given: 0
  • -Receive: 61
  • Posts: 515
    • View Profile
Re: OS/4 (technical details only)
« Reply #22 on: April 23, 2018, 02:54:03 am »
One last comment.  I am a user of eCo essentials.  I like the eComstation Device Manager, the PCI Dock, and the Removable Drive Format Tool.  When using the OS4 kernel, the Removable Drive Format Tool won't come up.  It gives the following error message:

Cannot start D:\sys\system\refomat.exe

Make sure the path for the program is correct and the file is an os/2 for Dos program.  There might not be enough memory to run the program etc....

Now I can boot using the ArcaOS kernel and the program work great.  This is the only program so far that does not work with the OS4 kernel that I have come across.

I found another program that does not work with the OS4 kernel.  This one is "styler.exe" and it has been around for a long time and has been in ecomstation for years.

Using PMDLL, it states that neither Reformat.exe or Styler.exe can not be started using the OS4 kernel.  When one scrolls down from the exe for either of them, LVM is highlighted red saying it has a problem.  Just starting the program object indicates that the exes are not OS/2 programs.  When I reboot under the Arca 5.02 kernel using PMDLL, both exes and LVM.dll show no problems and both programs work as they should.

Using FM/2 to start the programs, it gives the following attached error message.  Other than these two programs not starting and no acpi, the OS4 kernel has worked great for me.  I believe ArcaOS 5.02 comes with the .8 version of the ACPI and there are presently no patches for it.

« Last Edit: April 23, 2018, 07:09:54 am by David Graser »

OS4User

  • Full Member
  • ***
  • Thank You
  • -Given: 28
  • -Receive: 6
  • Posts: 216
    • View Profile
Re: OS/4 (technical details only)
« Reply #23 on: April 23, 2018, 03:14:56 pm »

Cannot start D:\sys\system\refomat.exe


I found another program that does not work with the OS4 kernel.  This one is "styler.exe" and it has been around for a long time and has been in ecomstation for years.


I have just check on my system  - reformat.exe starts ok. I do not have styler.exe to check.
« Last Edit: April 23, 2018, 03:20:35 pm by OS4User »

David Graser

  • Hero Member
  • *****
  • Thank You
  • -Given: 0
  • -Receive: 61
  • Posts: 515
    • View Profile
Re: OS/4 (technical details only)
« Reply #24 on: April 23, 2018, 08:52:58 pm »


I have just check on my system  - reformat.exe starts ok. I do not have styler.exe to check.
[/quote]

It was called eStyler in eComstation.  In the ArcaOS releases, it was renamed to Styler.  I am using ArcaOS 5.02.  I can boot to the ArcaOS kernel and everything works fine.  When I reboot using OS4 kernel, the two programs do not work.

Other than these two programs not working, I have found the OS4 kernel to be more stable and its performance better.  Your modified dive.dll speed up my graphics.  I don't plan on going back to the IBM kernel if I can help it unless I need to boot to it to use one of the two programs.  That is what is good about the kernel loader.  I can boot to either kernel.
« Last Edit: April 24, 2018, 01:08:03 am by David Graser »

Valery Sedletski

  • Sr. Member
  • ****
  • Thank You
  • -Given: 0
  • -Receive: 20
  • Posts: 307
    • View Profile
Re: OS/4 (technical details only)
« Reply #25 on: April 24, 2018, 02:28:10 am »
Styler/2 worked fine on my machine with OS/4 kernel, as well as REFORMAT. So, probably, you have problems with paths. Probably, LVM.DLL is not on LIBPATH.

PS: Do you have different CONFIG.SYS for OS/4 and IBM kernel? If so, you should compare them for any differences.
« Last Edit: April 24, 2018, 11:34:17 am by Valery Sedletski »

David Graser

  • Hero Member
  • *****
  • Thank You
  • -Given: 0
  • -Receive: 61
  • Posts: 515
    • View Profile
Re: OS/4 (technical details only)
« Reply #26 on: April 29, 2018, 08:13:50 pm »
Styler/2 worked fine on my machine with OS/4 kernel, as well as REFORMAT. So, probably, you have problems with paths. Probably, LVM.DLL is not on LIBPATH.

PS: Do you have different CONFIG.SYS for OS/4 and IBM kernel? If so, you should compare them for any differences.

To test the config.sys, I used Doug Bissett's latest config.sys sorter to sort both config.sys and config.os4 (Renamed it config.sys for the sort and then renamed it back to config.os4)  Then booted to each.  The problem still exist when using the OS4 kernel.  The problem disappears with the IBM kernel.  I can see no difference in the libpath statement for the way things are listed.  However, this is something I can live with because I have the option to boot using either kernel which I like.

Does anyone know if there are plans for the new OS4 kernel to do away with the SIQ (single Input Que)?
« Last Edit: April 29, 2018, 09:02:57 pm by David Graser »

OS4User

  • Full Member
  • ***
  • Thank You
  • -Given: 28
  • -Receive: 6
  • Posts: 216
    • View Profile
Re: OS/4 (technical details only)
« Reply #27 on: April 29, 2018, 10:44:36 pm »
LVM is highlighted red saying it has a problem

I can confirm that with LVM.DLL rev 1.04.2 it's true. At the same time rev 1.03 of this DLL works ok. After compress/decompress LVM.DLL rev 1.04.2 by LXLITE, it does not create problems any more. What you need is:   LXLITE LVM.DLL  and after that LXLITE -x LVM.DLL

David Graser

  • Hero Member
  • *****
  • Thank You
  • -Given: 0
  • -Receive: 61
  • Posts: 515
    • View Profile
Re: OS/4 (technical details only)
« Reply #28 on: April 30, 2018, 05:21:07 pm »
LVM is highlighted red saying it has a problem

I can confirm that with LVM.DLL rev 1.04.2 it's true. At the same time rev 1.03 of this DLL works ok. After compress/decompress LVM.DLL rev 1.04.2 by LXLITE, it does not create problems any more. What you need is:   LXLITE LVM.DLL  and after that LXLITE -x LVM.DLL

Thank you OS4User!!!  Did as you suggested and everything works as it should.  Hopefully other Arca 5.02 users will fix their lvm.dll also.

David
« Last Edit: April 30, 2018, 05:37:55 pm by David Graser »

David Graser

  • Hero Member
  • *****
  • Thank You
  • -Given: 0
  • -Receive: 61
  • Posts: 515
    • View Profile
Re: OS/4 (technical details only)
« Reply #29 on: May 08, 2018, 04:40:28 am »
I just checked you latest OS4 kernel on my Lenovo Thinkpad T430s and it works great. Picture of some of its features.  This is with ArcaOS 5.02.